Page MenuHomePhabricator

Migrate Internet Archive Bot to the new validator framework
Closed, ResolvedPublic

Description

Migrate the existing checker / suggester code to instead use the new validator framework. We need to add,

  1. A validator for variable - /{{[a-zA-Z_]+}}/, that is insertable and enforced.
  2. A suggester for various anchor tags present in the source strings. We could look at using the following regex - (?<open><([a-z][a-z0-9]*)\b[^>]*>).*?(?<close><\/\2>)

We'll need to update the YAML configuration file located here - https://phabricator.wikimedia.org/diffusion/GTWN/browse/master/groups/

Documentation: https://www.mediawiki.org/wiki/Help:Extension:Translate/Validators
Example patch: https://gerrit.wikimedia.org/r/c/translatewiki/+/550918

Event Timeline

abi_ created this task.Nov 26 2019, 10:46 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptNov 26 2019, 10:46 AM

Change 569559 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Update InternetArchiveBot to the new validator framework

https://gerrit.wikimedia.org/r/569559

abi_ claimed this task.Feb 3 2020, 2:50 PM
abi_ triaged this task as Medium priority.

Change 569559 merged by jenkins-bot:
[translatewiki@master] Update InternetArchiveBot to the new validator framework

https://gerrit.wikimedia.org/r/569559

Change 571266 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Update parameter param to params in Internet Archive Bot validator

https://gerrit.wikimedia.org/r/571266

Change 571266 merged by jenkins-bot:
[translatewiki@master] Update parameter param to params in Internet Archive Bot validator

https://gerrit.wikimedia.org/r/571266

abi_ closed this task as Resolved.Feb 10 2020, 11:53 AM
abi_ moved this task from In Review to Done on the Language-Team (Language-2020-January-March) board.

This patch has been deployed on twn. The added validators / insertables are working well.

abi_ updated the task description. (Show Details)Feb 11 2020, 2:30 PM